summaryrefslogtreecommitdiffstats
path: root/source/l/python-sphinx
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-01-26 01:49:20 +0000
committer Eric Hameleers <alien@slackware.com>2024-01-26 03:50:15 +0100
commit0abd603d71db76d9bad0951aa186d9b2e72ca05b (patch)
tree564cf1c04c0a146c0659388462cb3e9d1dedcf1c /source/l/python-sphinx
parent593df1e4910c4d7fbf46d8762c384b72a75fd89c (diff)
downloadcurrent-0abd603d71db76d9bad0951aa186d9b2e72ca05b.tar.gz
current-0abd603d71db76d9bad0951aa186d9b2e72ca05b.tar.xz
Fri Jan 26 01:49:20 UTC 202420240126014920
a/acl-2.3.2-x86_64-1.txz: Upgraded. a/btrfs-progs-6.7-x86_64-1.txz: Upgraded. a/cryptsetup-2.7.0-x86_64-1.txz: Upgraded. a/inih-58-x86_64-1.txz: Upgraded. a/kernel-firmware-20240124_0c40df8-noarch-1.txz: Upgraded. a/kernel-generic-6.6.14-x86_64-1.txz: Upgraded. a/kernel-huge-6.6.14-x86_64-1.txz: Upgraded. a/kernel-modules-6.6.14-x86_64-1.txz: Upgraded. d/kernel-headers-6.6.14-x86-1.txz: Upgraded. d/parallel-20240122-noarch-1.txz: Upgraded. k/kernel-source-6.6.14-noarch-1.txz: Upgraded. l/gst-plugins-bad-free-1.22.9-x86_64-1.txz: Upgraded. l/gst-plugins-base-1.22.9-x86_64-1.txz: Upgraded. l/gst-plugins-good-1.22.9-x86_64-1.txz: Upgraded. l/gst-plugins-libav-1.22.9-x86_64-1.txz: Upgraded. l/gstreamer-1.22.9-x86_64-1.txz: Upgraded. l/libjpeg-turbo-3.0.2-x86_64-1.txz: Upgraded. l/libpng-1.6.41-x86_64-1.txz: Upgraded. l/python-docutils-0.20.1-x86_64-1.txz: Upgraded. l/python-editables-0.5-x86_64-1.txz: Added. Thanks to Heinz Wiesinger. l/python-hatchling-1.21.0-x86_64-1.txz: Added. Thanks to Heinz Wiesinger. l/python-pathspec-0.12.1-x86_64-1.txz: Added. Thanks to Heinz Wiesinger. l/python-pluggy-1.4.0-x86_64-1.txz: Added. Thanks to Heinz Wiesinger. l/python-pygments-2.17.2-x86_64-1.txz: Upgraded. l/python-sphinx-7.2.6-x86_64-1.txz: Upgraded. l/python-sphinx_rtd_theme-2.0.0-x86_64-1.txz: Added. l/python-trove-classifiers-2024.1.8-x86_64-1.txz: Added. Thanks to Heinz Wiesinger. n/gnupg2-2.4.4-x86_64-1.txz: Upgraded. x/mesa-23.3.4-x86_64-1.txz: Upgraded. xap/geeqie-2.2-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l/python-sphinx')
-rwxr-xr-xsource/l/python-sphinx/python-sphinx.SlackBuild13
-rw-r--r--source/l/python-sphinx/sphinx.url (renamed from source/l/python-sphinx/Sphinx.url)1
2 files changed, 10 insertions, 4 deletions
diff --git a/source/l/python-sphinx/python-sphinx.SlackBuild b/source/l/python-sphinx/python-sphinx.SlackBuild
index 5d6286e1a..9a9ffd296 100755
--- a/source/l/python-sphinx/python-sphinx.SlackBuild
+++ b/source/l/python-sphinx/python-sphinx.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2022, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-sphinx
-SRCNAM=Sphinx
+SRCNAM=sphinx
VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
@@ -60,7 +60,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-python3 setup.py install --root=$PKG || exit 1
+unshare -n python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a *.rst LICENSE* NOTICE PKG-INFO \
@@ -92,7 +94,10 @@ for extension in $CWD/extensions/*.tar.?z ; do
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
- python3 setup.py install --root=$PKG || exit 1
+ unshare -n python3 -m build --wheel --no-isolation || exit 1
+
+ python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
+
mkdir -p $PKG/usr/doc/$EXTNAM-$EXTVER
cp -a *.rst LICENSE* NOTICE PKG-INFO \
diff --git a/source/l/python-sphinx/Sphinx.url b/source/l/python-sphinx/sphinx.url
index c90a21abc..51f348414 100644
--- a/source/l/python-sphinx/Sphinx.url
+++ b/source/l/python-sphinx/sphinx.url
@@ -3,5 +3,6 @@ https://pypi.org/project/sphinxcontrib-applehelp
https://pypi.org/project/sphinxcontrib-devhelp
https://pypi.org/project/sphinxcontrib-htmlhelp
https://pypi.org/project/sphinxcontrib-jsmath
+https://pypi.org/project/sphinxcontrib-jquery
https://pypi.org/project/sphinxcontrib-qthelp
https://pypi.org/project/sphinxcontrib-serializinghtml